/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { TRIXIndicatorStrategy } from "./TRIXIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
/**
 * @hidden
 */
export let TRIXIndicator = /*@__PURE__*/ (() => {
    class TRIXIndicator extends StrategyBasedIndicator {
        constructor() {
            super();
            this.abd = 0;
            this.trendLineBrush = ((() => {
                let $ret = new Brush();
                $ret.fill = "#565656";
                return $ret;
            })());
            this.trendLineType = 9;
            this.trendLinePeriod = 9;
        }
        bk() {
            return new TRIXIndicator();
        }
        get_ab5() {
            return new TRIXIndicatorStrategy();
        }
        get ab5() {
            return this.get_ab5();
        }
        get_aci() {
            return TRIXIndicator.$;
        }
        get aci() {
            return this.get_aci();
        }
        get acq() {
            return typeGetValue(this.c(TRIXIndicator.acr));
        }
        set acq(a) {
            this.h(TRIXIndicator.acr, a);
        }
        acb() {
            return this.acq;
        }
        ack(a) {
            this.acq = a;
        }
    }
    TRIXIndicator.$t = markType(TRIXIndicator, 'TRIXIndicator', StrategyBasedIndicator.$);
    TRIXIndicator.acr = StrategyBasedIndicator.acn(15, TRIXIndicator.$);
    return TRIXIndicator;
})();
